> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Task Versions

> Lists all versions of a task/tool, including the current version and any draft.



## OpenAPI

````yaml /openapi.yaml get /v2/tasks/{taskId}/versions
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v2/tasks/{taskId}/versions:
    get:
      tags:
        - Tasks
      summary: List Task Versions
      description: >-
        Lists all versions of a task/tool, including the current version and any
        draft.
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Task versions retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                  current_version:
                    type: string
                  versions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        version:
                          type: string
                        is_draft:
                          type: boolean
                        description:
                          type: string
                          nullable: true
                        created_at:
                          type: string
                          nullable: true
                        created_by_user_id:
                          type: string
                          nullable: true
                        deployed_by:
                          type: object
                          nullable: true
                          properties:
                            name:
                              type: string
                              nullable: true
                            email:
                              type: string
                              nullable: true
        '404':
          description: Task not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to list task versions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````